﻿@model IEnumerable<eCommerce.Services.Model.Store>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Nombre</th>
            <th>Dirección</th>
            <th>Telefono</th>
            <th>Provincia</th>
            <th>Ciudad</th>
            <th>Habilitado minorista</th>
            <th>Habilitado mayorista</th>
            <th class="col-xs-2 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.Address)</td>
            <td>@Html.DisplayFor(modelItem => item.PhoneNumber)</td>
            <td>@Html.DisplayFor(modelItem => item.Province.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.City)</td>
            <td class="text-center">
                @if (item.RetailDelivery)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>

            <td class="text-center">
                @if (item.WholesalerDelivery)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>

            <td class="actions text-center">
                <a href="/Stores/StoreUpdate/@item.StoreId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.StoreId" onclick="fDeleteDialog(@item.StoreId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
